Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be unavailable on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1335922 - Satellite 6 repos are missing jgrep utility
Summary: Satellite 6 repos are missing jgrep utility
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Packaging
Version: 6.2.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: Unspecified
Assignee: satellite6-bugs
QA Contact: Evgeni Golov
URL: http://projects.theforeman.org/issues...
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-05-13 14:28 UTC by Lukas Zapletal
Modified: 2021-06-10 11:18 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-02-21 16:51:07 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Foreman Issue Tracker 11684 0 None None None 2016-05-13 15:02:46 UTC

Description Lukas Zapletal 2016-05-13 14:28:52 UTC
Upstream ships small utility jgrep which is very useful with foreman_hooks plugin for various scripts.

http://yum.theforeman.org/plugins/1.11/el7/x86_64/tfm-rubygem-jgrep-1.3.3-7.el7.noarch.rpm

It was shipped with Foreman 1.10 and later: 

http://projects.theforeman.org/issues/11684

It is useful for https://access.redhat.com/blogs/1169563/posts/1421543#comment-959133

It has zero dependencies.

Comment 3 Bryan Kearney 2016-05-13 16:15:32 UTC
Moving to POST since upstream bug http://projects.theforeman.org/issues/11684 has been closed

Comment 4 Satellite Program 2017-06-02 20:08:31 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue http://projects.theforeman.org/issues/11684 has been resolved.

Comment 5 Evgeni Golov 2017-08-09 09:05:57 UTC
# yum info tfm-rubygem-jgrep.noarch
Loaded plugins: product-id, search-disabled-repos, subscription-manager
Available Packages
Name        : tfm-rubygem-jgrep
Arch        : noarch
Version     : 1.3.3
Release     : 8.el7sat
Size        : 17 k
Repo        : Sat6-CI_Satellite_6_3_Composes_Satellite_6_3_RHEL7
Summary     : Query JSON structure with a matching language
URL         : http://jgrep.org/
License     : ASL 2.0
Description : JGrep is  Ruby-based CLI tool and API for parsing and displaying JSON data
            : using a logical expression syntax. It allows you to search a list of JSON
            : documents and return specific documents or values based on logical truths.

# jgrep --help
Usage: jgrep [options] "expression"
    -s, --simple [FIELDS]            Display only one or more fields from each of the resulting json documents
    -c, --compact                    Display non pretty json
    -f, --flatten                    Makes output as flat as possible
    -i, --input [FILENAME]           Specify input file to parse
    -q, --quiet                      Quiet; don't write to stdout.  Exit with zero status if match found.
    -v, --verbose                    Verbose output
        --start [FIELD]              Where in the data to start from

jgrep is available → VERIFIED

Comment 6 Evgeni Golov 2017-08-09 09:25:44 UTC
Version Tested:
Satellite-6.3 Snap 10

Comment 7 Satellite Program 2018-02-21 16:51:07 UTC
Since the problem described in this bug report should be resolved in a recent advisory, it has been closed with a resolution of ERRATA.
> 
> For information on the advisory, and where to find the updated files, follow the link below.
> 
> If the solution does not work for you, open a new bug report.
> 
> https://access.redhat.com/errata/RHSA-2018:0336


Note You need to log in before you can comment on or make changes to this bug.